aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitignore2
-rw-r--r--README.md20
-rwxr-xr-xbuild_all.sh17
-rw-r--r--kunoisayami/pam_ssh_agent_auth_patched/PKGBUILD36
-rw-r--r--packages/.gitignore1
5 files changed, 76 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..11c836b
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,2 @@
+build/
+*.pkg*
diff --git a/README.md b/README.md
new file mode 100644
index 0000000..62ba28d
--- /dev/null
+++ b/README.md
@@ -0,0 +1,20 @@
+KunoiSayami's Arch Linux Community Repository
+====
+
+### Usage
+
+#### Add repo:
+
+```
+[kunoisayami]
+Server = https://MASKED/repo
+```
+to your /etc/pacman.conf .
+
+#### Import PGP Keys:
+
+```bash
+curl -fL https://keys.openpgp.org/vks/v1/by-fingerprint/43C24AB2392DFB61D7A5E4838B97E42C37978965 | sudo pacman-key --add -
+sudo pacman-key --finger 43C24AB2392DFB61D7A5E4838B97E42C37978965
+sudo pacman-key --lsign-key 43C24AB2392DFB61D7A5E4838B97E42C37978965
+``` \ No newline at end of file
diff --git a/build_all.sh b/build_all.sh
new file mode 100755
index 0000000..f27e508
--- /dev/null
+++ b/build_all.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+PKGDEST="${PWD}/packages"
+SRCDEST="${PWD}/build"
+pushd kunoisayami
+for folder in */ ; do
+ PACKAGE_NAME=$(printf $folder | sed 's/.$//')
+ pushd "$folder"
+ pervpkg=$(ls "../../packages/$PACKAGE_NAME"*)
+ SRCPKGDEST=$SRCDEST SRCDEST=$SRCDEST PKGDEST=$PKGDEST makepkg --clean
+ if [ $? != 13 ] && [ -z "$pervpkg" ]; then
+ rm $pervpkg
+ fi
+ #cp "$PACKAGE_NAME"* ../../../packages/
+ popd
+done
+popd
+unset PACKAGE_NAME
diff --git a/kunoisayami/pam_ssh_agent_auth_patched/PKGBUILD b/kunoisayami/pam_ssh_agent_auth_patched/PKGBUILD
new file mode 100644
index 0000000..be8d2e7
--- /dev/null
+++ b/kunoisayami/pam_ssh_agent_auth_patched/PKGBUILD
@@ -0,0 +1,36 @@
+# Maintainer: KunoiSayami <[email protected]>
+pkgname=pam_ssh_agent_auth_patched
+pkgver=0.10.4
+pkgrel=3
+pkgdesc="PAM module which permits authentication via the keyring in a forwarded ssh-agent."
+arch=('i686' 'x86_64' 'armv6h' 'armv7h' 'aarch64')
+url="https://github.com/jbeverly/pam_ssh_agent_auth"
+license=('custom:OpenSSL')
+source=(pam_ssh_agent_auth_patched::git://github.com/FlorianFranzen/pam_ssh_agent_auth#commit=db2d41937e714b56d17771f8ee3d61f11c26cc7e)
+md5sums=('SKIP')
+makedepends=('git')
+depends=('openssl')
+optdepends=('openssh: standard ssh-agent'
+ 'gnupg: gpg ssh-agent')
+provides=('pam_ssh_agent_auth')
+conflicts=('pam_ssh_agent_auth')
+
+
+prepare() {
+ cd "$srcdir/$pkgname/ed25519-donna"
+ git submodule init
+ git submodule update
+}
+
+build() {
+ cd "$srcdir/$pkgname"
+ ./configure --prefix=/usr --with-mantype=man --libexecdir=/usr/lib/security --without-openssl-header-check
+ make -j $(nproc)
+}
+
+package() {
+ cd "$srcdir/$pkgname"
+ make DESTDIR="$pkgdir/" install
+
+ install -Dm644 LICENSE.OpenSSL "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
diff --git a/packages/.gitignore b/packages/.gitignore
new file mode 100644
index 0000000..52726cb
--- /dev/null
+++ b/packages/.gitignore
@@ -0,0 +1 @@
+*.pkg*